org.apache.fontbox.ttf.gsub

## Class GlyphArraySplitterRegexImpl

- java.lang.Object
- - org.apache.fontbox.ttf.gsub.GlyphArraySplitterRegexImpl

All Implemented Interfaces:
  GlyphArraySplitter

    public class GlyphArraySplitterRegexImpl
    extends Object
    implements GlyphArraySplitter

This is an in-efficient implementation based on regex, which helps split the array.

Author:
  Palash Ray

### Constructor Summary

Constructors
Constructor and Description
`GlyphArraySplitterRegexImpl(Set<List<Integer>> matchers)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<List<Integer>>` `split(List<Integer> glyphIds)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GlyphArraySplitterRegexImpl

    public GlyphArraySplitterRegexImpl(Set<List<Integer>> matchers)

### Method Detail

#### split

    public List<List<Integer>> split(List<Integer> glyphIds)

Specified by:
  `split` in interface `GlyphArraySplitter`